.DEFAULT_GOAL := build

fmt:
	go fmt ./...
.PHONY:fmt

lint: fmt
	revive ./...
.PHONY:lint

vet: fmt
	go vet ./...
.PHONY:vet

build: vet
	go build -o my_slice slice.go
.PHONY:build

clean:
	rm rf ./my_slice
.PHONY:clean
